Vlun resize request could fail with cxlflash driver

Bug #1713575 reported by bugproxy on 2017-08-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
High
Joseph Salisbury
Zesty
High
Joseph Salisbury

Bug Description

== Comment: #0 - UMA KRISHNAN - 2017-08-28 12:14:12 ==

---Problem Description---

Recently a regression in cxlflash driver was identified and a fix has been upstreamed to kernel.org. We would like to get that included in Xenial 16.04.3 SRU (HWE v4.10 kernel). Even though regression patch is the very last one, I have also listed the missing patches in-between, that are minor and will be easier for further cxlflash updates to Xenial.

eeac8cda2c957e156093933b860eec09e488fe15 scsi: cxlflash: return -EFAULT if copy_from_user() fails

9ff870417e56b1fb7b15b2cda74de639d3cd8559 scsi: cxlflash: Fix an error handling path in 'cxlflash_disk_attach()'

48a17ad5931c3832eec68411620bc3527021c193 scsi: cxlflash: Remove unnecessary existence check

1a9e394154e34728f58c1f697b993aaaf89a4db2 scsi: cxlflash: Avoid double mutex unlock

07a191f762a7b8d0db13c38036380927116e29bb scsi: cxlflash: Fix vlun resize failure in the shrink path

---Steps to Reproduce---

 Vlun resize request could fail after updating to a kernel that includes Commit 565180723294 ("scsi: cxlflash: SISlite updates to support 4 ports")

bugproxy (bugproxy) on 2017-08-28
tags: added: architecture-ppc64le bugnameltc-158076 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)
Changed in ubuntu-power-systems:
importance: Undecided → High
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Triaged
tags: added: kernel-da-key
Changed in linux (Ubuntu):
status: Triaged → In Progress
Changed in linux (Ubuntu Zesty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I built a Zesty test kernel with commit 07a191f762a7b8 from linux-next. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1713575/

Can you test this kernel and see if it resolves this bug?

Changed in ubuntu-power-systems:
status: New → In Progress
bugproxy (bugproxy) on 2017-09-11
tags: removed: bugnameltc-158076 kernel-da-key severity-high
bugproxy (bugproxy) on 2017-09-19
tags: added: bugnameltc-158076 severity-high

------- Comment From <email address hidden> 2017-09-19 19:08 EDT-------
I was able to test the issue that this patch resolves. The kernel in the given link solves the issue.

Linux tul83p1 4.10.0-33-generic #37~lp1713575 SMP Wed Sep 6 15:45:19 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux

Thanks !! Sorry for the delay in giving the feedback.

Seth Forshee (sforshee) on 2017-09-21
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (7.8 KiB)

This bug was fixed in the package linux - 4.13.0-12.13

---------------
linux (4.13.0-12.13) artful; urgency=low

  * linux: 4.13.0-12.13 -proposed tracker (LP: #1718980)

  * [Feature] SKX: Support crystall ridge / far / near memory indication in PEBS
    (LP: #1591813)
    - perf/x86: Move Nehalem PEBS code to flag
    - perf/x86: Fix data source decoding for Skylake

  * Upgrade to 4.13.0-11.12 in artful amd64 VM breaks display on wayland
    (LP: #1718679)
    - [Config] CONFIG_DRM_VBOXVIDEO=n

  * ipmmu-vmsa driver breaks arm64 boots (LP: #1718734)
    - [Config] Disable CONFIG_IPMMU_VMSA on arm64

  * Vlun resize request could fail with cxlflash driver (LP: #1713575)
    - scsi: cxlflash: Fix vlun resize failure in the shrink path

  * multipath -ll is not showing the disks which are actually multipath
    (LP: #1718397)
    - fs: aio: fix the increment of aio-nr and counting against aio-max-nr

  * [Feature] Crystal Ridge - BTT - Rework error clearing (LP: #1704350)
    - libnvdimm, btt: fix a missed NVDIMM_IO_ATOMIC case in the write path
    - libnvdimm, btt: refactor map entry operations with macros
    - libnvdimm, btt: ensure that flags were also unchanged during a map_read
    - libnvdimm, btt: cache sector_size in arena_info
    - libnvdimm: fix potential deadlock while clearing errors
    - libnvdimm, btt: rework error clearing

  * [Feature] Crystal Ridge - have 4k DAX faults use a common zero page
    (LP: #1704439)
    - mm: add vm_insert_mixed_mkwrite()
    - dax: relocate some dax functions
    - dax: use common 4k zero page for dax mmap reads
    - dax: remove DAX code from page_cache_tree_insert()
    - dax: move all DAX radix tree defs to fs/dax.c

  * [bug] 17.10: CDP test fail on platform of Purley-2S/4S/Neoncity,BDW-
    de/ep/ex, (LP: #1716843)
    - SAUCE: (no-up) x86/intel_rdt: Fix cdp info directory files issue

  * [featue] GPIO support for Denverton (LP: #1591829)
    - pinctrl: intel: Add Intel Denverton pin controller support

  * ETPS/2 Elantech Touchpad inconsistently detected (Gigabyte P57W laptop)
    (LP: #1594214)
    - Input: i8042 - add Gigabyte P57 to the keyboard reset table

  * autopkgtest profile fails to build on armhf (LP: #1717920)
    - [Packaging] autopkgtest -- disable d-i when dropping flavours

  * Artful update to v4.13.3 stable release (LP: #1718412)
    - Revert "net: use lib/percpu_counter API for fragmentation mem accounting"
    - Revert "net: fix percpu memory leaks"
    - gianfar: Fix Tx flow control deactivation
    - vhost_net: correctly check tx avail during rx busy polling
    - ip6_gre: update mtu properly in ip6gre_err
    - udp: drop head states only when all skb references are gone
    - ipv6: fix memory leak with multiple tables during netns destruction
    - ipv6: fix typo in fib6_net_exit()
    - sctp: fix missing wake ups in some situations
    - tcp: fix a request socket leak
    - ip_tunnel: fix setting ttl and tos value in collect_md mode
    - f2fs: let fill_super handle roll-forward errors
    - f2fs: check hot_data for roll-forward recovery
    - x86/fsgsbase/64: Fully initialize FS and GS state in start_thread_common
    - x86/fsgsbase/64: Report FSBASE and GSBA...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
bugproxy (bugproxy) on 2017-09-26
tags: added: targetmilestone-inin16043
removed: targetmilestone-inin---
Manoj Iyer (manjo) on 2017-10-02
tags: added: triage-g
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
description: updated
tags: added: verification-done-zesty
removed: verification-needed-zesty
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-23 17:43 EDT-------
This bug has been verified on Zesty.

Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package linux - 4.10.0-38.42

---------------
linux (4.10.0-38.42) zesty; urgency=low

  * linux: 4.10.0-38.42 -proposed tracker (LP: #1722330)

  * Controller lockup detected on ProLiant DL380 Gen9 with P440 Controller
    (LP: #1720359)
    - scsi: hpsa: limit transfer length to 1MB

  * [Dell Docking IE][0bda:8153] Realtek USB Ethernet leads to system hang
    (LP: #1720977)
    - r8152: fix the list rx_done may be used without initialization

  * Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB (LP: #1700657)
    - mfd: intel-lpss: Add missing PCI ID for Intel Sunrise Point LPSS devices

  * Add installer support for Broadcom BCM573xx network drivers. (LP: #1720466)
    - d-i: Add bnxt_en to nic-modules.

  * CVE-2017-1000252
    - KVM: VMX: Do not BUG() on out-of-bounds guest IRQ

  * CVE-2017-10663
    - f2fs: sanity check checkpoint segno and blkoff

  * xfstest sanity checks on seek operations fails (LP: #1696049)
    - xfs: fix off-by-one on max nr_pages in xfs_find_get_desired_pgoff()

  * [P9, Power NV][ WSP][Ubuntu 16.04.03] : perf hw breakpoint command results
    in call traces and system goes for reboot. (LP: #1706033)
    - powerpc/64s: Handle data breakpoints in Radix mode

  * 5U84 - ses driver isn't binding right - cannot blink lights on 1 of the 2
    5u84 (LP: #1693369)
    - scsi: ses: do not add a device to an enclosure if enclosure_add_links()
      fails.

  * Vlun resize request could fail with cxlflash driver (LP: #1713575)
    - scsi: cxlflash: Fix vlun resize failure in the shrink path

  * More migrations with constant load (LP: #1713576)
    - sched/fair: Prefer sibiling only if local group is under-utilized

  * New PMU fixes for marked events. (LP: #1716491)
    - powerpc/perf: POWER9 PMU stops after idle workaround

  * CVE-2017-14340
    - xfs: XFS_IS_REALTIME_INODE() should be false if no rt device present

  * [Zesty][Yakkety] rtl8192e bug fixes (LP: #1698470)
    - staging: rtl8192e: rtl92e_fill_tx_desc fix write to mapped out memory.
    - staging: rtl8192e: fix 2 byte alignment of register BSSIDR.
    - staging: rtl8192e: rtl92e_get_eeprom_size Fix read size of EPROM_CMD.
    - staging: rtl8192e: GetTs Fix invalid TID 7 warning.

  * Stranded with ENODEV after mdadm --readonly (LP: #1706243)
    - md: MD_CLOSING needs to be cleared after called md_set_readonly or
      do_md_stop

  * multipath -ll is not showing the disks which are actually multipath
    (LP: #1718397)
    - fs: aio: fix the increment of aio-nr and counting against aio-max-nr

  * ETPS/2 Elantech Touchpad inconsistently detected (Gigabyte P57W laptop)
    (LP: #1594214)
    - Input: i8042 - add Gigabyte P57 to the keyboard reset table

  * CVE-2017-10911
    - xen-blkback: don't leak stack data via response ring

  * CVE-2017-11176
    - mqueue: fix a use-after-free in sys_mq_notify()

  * implement 'complain mode' in seccomp for developer mode with snaps
    (LP: #1567597)
    - Revert "UBUNTU: SAUCE: seccomp: log actions even when audit is disabled"
    - seccomp: Provide matching filter for introspection
    - seccomp: Sysctl to display available actions
    - seccomp: Operation for checking if an a...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Manoj Iyer (manjo) on 2017-11-06
Changed in ubuntu-power-systems:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers